# dboolhuff

## Functions

### vp8_decode_value

    int
    vp8_decode_value (BOOL_DECODER * br,
                      int  bits)

Parameters:

`br` –
No description available
`bits` –
No description available
Returns (int ) –
No description available

### vp8dx_bool_decoder_fill

    void
    vp8dx_bool_decoder_fill (BOOL_DECODER * br)

Parameters:

`br` –
No description available
Returns (void ) –
No description available

### vp8dx_bool_error

    int
    vp8dx_bool_error (BOOL_DECODER * br)

Parameters:

`br` –
No description available
Returns (int ) –
No description available

### vp8dx_decode_bool

    int
    vp8dx_decode_bool (BOOL_DECODER * br,
                       int  probability)

Parameters:

`br` –
No description available
`probability` –
No description available
Returns (int ) –
No description available

### vp8dx_start_decode

    int
    vp8dx_start_decode (BOOL_DECODER * br,
                        const unsigned char * source,
                        unsigned int  source_sz,
                        vp8_decrypt_cb * decrypt_cb,
                        void * decrypt_state)

Parameters:

`br` –
No description available
`source` –
No description available
`source_sz` –
No description available
`decrypt_cb` –
No description available
`decrypt_state` –
No description available
Returns (int ) –
No description available

## Exported Variables

### bigsplit

        VP8_BD_VALUE bigsplit;

### bit

        unsigned int bit = 0;

### count

        int count;

### range

        unsigned int range;

### shift

            register unsigned int shift = vp8_norm[range];

### split

        unsigned int split;

### value

        VP8_BD_VALUE value;

### vp8_norm

    G_GNUC_INTERNAL
    extern const unsigned char vp8_norm[256];

### z

        int z = 0;

## Aliases

### BOOL_DECODER

    typedef struct BOOL_DECODER BOOL_DECODER

### VP8_BD_VALUE

    typedef size_t VP8_BD_VALUE

### vp8_decrypt_cb

    typedef void (void *, const unsigned char *, unsigned char *, int)  vp8_decrypt_cb

The results of the search are